> For the complete documentation index, see [llms.txt](https://docs.ecdao.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecdao.org/products/emerald-bot/voting/token-voting.md).

# Token Voting

{% hint style="info" %}
Before reading below, make sure you have invited the Emerald bot to your Discord server using [this link](https://discord.com/oauth2/authorize?client_id=907407354427998279\&permissions=294473821264\&scope=bot%20applications.commands).
{% endhint %}

### Command

```
/vote token
```

#### Inputs

1. `contractname` - The name of the contract
2. `contractaddress` - The address of where the contract is deployed
3. `publicpath` - The public path of the NFT Collection (ex. If the public path is `/public/FLOATCollection`, you would input `FLOATCollection`).
4. `option_1` - The first option users can vote for.
5. `option_2` - The second option users can vote for.
6. `role` - the Discord role a citizen must have in order to vote (put `@everyone` if you want everyone to vote)
7. `title` - the title of the vote
8. `description` - the description of the vote
9. `hide_results` - If true, users must vote in order to see vote results. If false, they can view results at any time.
10. (OPTIONAL) `end_date` - Set a date (in [UNIX timestamp](https://www.unixtimestamp.com/)) for when the vote should automatically end.
11. (OPTIONAL) `options 3 - 6` - Set additional options for users to vote for.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecdao.org/products/emerald-bot/voting/token-voting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
